#include<bits/stdc++.h>
using namespace std;
const int MAXN=100005;
int n,q,l,r,k;
struct Node{
	vector<int>vs;
}node[MAXN];
int main(){
	scanf("%d",&n);
	for(int i=1,u,v;i<n;i++){
		scanf("%d%d",&u,&v);
		node[u].vs.push_back(v);
	}
	bool A=1;
	for(int i=1;i<=n;i++){
		if(node[u].vs.size()!=1){
			A=0;
			break;
		}
	}
	while(1);
	if(A){
		scanf("%d",&q);
		while(q--){
		}
	}
	return 0;
}

